// 用于表格展示, 阶梯价格相关的输出格式化.
export function formatPrice(price) {
  let result = price;

  // 接口返回的数据是字符串型. 表单输入是数字型. 为了兼容数据并且防止万一, 此处用了非严格相等比较.
  // eslint-disable-next-line
  if (price == "111" || price == "111.00") {
    result = "-";
    // eslint-disable-next-line
  } else if (price == "999" || price == "999.00") {
    result = "POA";
  } else if (price === "") {
    return "0.00";
  }

  return result;
}

// 因业务调整, au的 setup id(价格单位)只剩下POA、Waired和‘空’了, 之前的旧数据需要重置成‘空’
export function resetSetupID(num) {
  return num === 7 || !num ? 7 : num;
}
