const countries =[
    {
      "area_code": "0093",
      "id": 2,
      "forbid": true,
      "name_cn": "阿富汗",
      "name_en": "Afghanistan"
    },
    {
      "area_code": "00355",
      "id": 3,
      "forbid": false,
      "name_cn": "阿尔巴尼亚",
      "name_en": "Albania"
    },
    {
      "area_code": "00213",
      "id": 4,
      "forbid": false,
      "name_cn": "阿尔及利亚",
      "name_en": "Algeria"
    },
    {
      "area_code": "00376",
      "id": 5,
      "forbid": false,
      "name_cn": "安道尔共和国",
      "name_en": "Andorra"
    },
    {
      "area_code": "00244",
      "id": 1,
      "forbid": false,
      "name_cn": "安哥拉",
      "name_en": "Angola"
    },
    {
      "area_code": "001264",
      "id": 6,
      "forbid": false,
      "name_cn": "安圭拉岛",
      "name_en": "Anguilla"
    },
    {
      "area_code": "001268",
      "id": 7,
      "forbid": false,
      "name_cn": "安提瓜和巴布达",
      "name_en": "Antigua and Barbuda"
    },
    {
      "area_code": "0054",
      "id": 8,
      "forbid": false,
      "name_cn": "阿根廷",
      "name_en": "Argentina"
    },
    {
      "area_code": "00374",
      "id": 9,
      "forbid": false,
      "name_cn": "亚美尼亚",
      "name_en": "Armenia"
    },
    {
      "area_code": "00297",
      "id": 194,
      "forbid": false,
      "name_cn": "阿鲁巴",
      "name_en": "Aruba"
    },
    {
      "area_code": "00247",
      "id": 10,
      "forbid": false,
      "name_cn": "阿森松",
      "name_en": "Ascension"
    },
    {
      "area_code": "0061",
      "id": 11,
      "forbid": false,
      "name_cn": "澳大利亚",
      "name_en": "Australia"
    },
    {
      "area_code": "00672",
      "id": 195,
      "forbid": false,
      "name_cn": "澳大利亚海外领地",
      "name_en": "Australian overseas territories"
    },
    {
      "area_code": "0043",
      "id": 12,
      "forbid": false,
      "name_cn": "奥地利",
      "name_en": "Austria"
    },
    {
      "area_code": "00994",
      "id": 13,
      "forbid": false,
      "name_cn": "阿塞拜疆",
      "name_en": "Azerbaijan"
    },
    {
      "area_code": "001242",
      "id": 14,
      "forbid": false,
      "name_cn": "巴哈马",
      "name_en": "Bahamas"
    },
    {
      "area_code": "00973",
      "id": 15,
      "forbid": false,
      "name_cn": "巴林",
      "name_en": "Bahrain"
    },
    {
      "area_code": "00880",
      "id": 16,
      "forbid": true,
      "name_cn": "孟加拉国",
      "name_en": "Bangladesh"
    },
    {
      "area_code": "001246",
      "id": 17,
      "forbid": false,
      "name_cn": "巴巴多斯",
      "name_en": "Barbados"
    },
    {
      "area_code": "00375",
      "id": 18,
      "forbid": false,
      "name_cn": "白俄罗斯",
      "name_en": "Belarus"
    },
    {
      "area_code": "0032",
      "id": 19,
      "forbid": false,
      "name_cn": "比利时",
      "name_en": "Belgium"
    },
    {
      "area_code": "00501",
      "id": 20,
      "forbid": false,
      "name_cn": "伯利兹",
      "name_en": "Belize"
    },
    {
      "area_code": "00229",
      "id": 21,
      "forbid": false,
      "name_cn": "贝宁",
      "name_en": "Benin"
    },
    {
      "area_code": "001441",
      "id": 22,
      "forbid": false,
      "name_cn": "百慕大群岛",
      "name_en": "Bermuda"
    },
    {
      "area_code": "00975",
      "id": 196,
      "forbid": false,
      "name_cn": "不丹",
      "name_en": "Bhutan"
    },
    {
      "area_code": "00591",
      "id": 23,
      "forbid": false,
      "name_cn": "玻利维亚",
      "name_en": "Bolivia"
    },
    {
      "area_code": "00387",
      "id": 197,
      "forbid": false,
      "name_cn": "波斯尼亚和黑塞哥维那",
      "name_en": "Bosnia and Herzegovina"
    },
    {
      "area_code": "00267",
      "id": 24,
      "forbid": false,
      "name_cn": "博茨瓦纳",
      "name_en": "Botswana"
    },
    {
      "area_code": "0055",
      "id": 25,
      "forbid": false,
      "name_cn": "巴西",
      "name_en": "Brazil"
    },
    {
      "area_code": "001284",
      "id": 229,
      "forbid": false,
      "name_cn": "英属维尔京群岛",
      "name_en": "British Virgin Islands"
    },
    {
      "area_code": "00673",
      "id": 26,
      "forbid": false,
      "name_cn": "文莱",
      "name_en": "Brunei"
    },
    {
      "area_code": "00359",
      "id": 27,
      "forbid": false,
      "name_cn": "保加利亚",
      "name_en": "Bulgaria"
    },
    {
      "area_code": "00226",
      "id": 28,
      "forbid": false,
      "name_cn": "布基纳法索",
      "name_en": "Burkina Faso"
    },
    {
      "area_code": "00257",
      "id": 30,
      "forbid": false,
      "name_cn": "布隆迪",
      "name_en": "Burundi"
    },
    {
      "area_code": "00855",
      "id": 85,
      "forbid": false,
      "name_cn": "柬埔寨",
      "name_en": "Cambodia"
    },
    {
      "area_code": "00237",
      "id": 31,
      "forbid": true,
      "name_cn": "喀麦隆",
      "name_en": "Cameroon"
    },
    {
      "area_code": "001",
      "id": 32,
      "forbid": true,
      "name_cn": "加拿大",
      "name_en": "Canada"
    },
    {
      "area_code": "00238",
      "id": 198,
      "forbid": false,
      "name_cn": "佛得角",
      "name_en": "Cape Verde"
    },
    {
      "area_code": "001345",
      "id": 33,
      "forbid": false,
      "name_cn": "开曼群岛",
      "name_en": "Cayman Islands"
    },
    {
      "area_code": "00236",
      "id": 34,
      "forbid": true,
      "name_cn": "中非共和国",
      "name_en": "Central African Republic"
    },
    {
      "area_code": "00235",
      "id": 35,
      "forbid": true,
      "name_cn": "乍得",
      "name_en": "Chad"
    },
    {
      "area_code": "0056",
      "id": 36,
      "forbid": false,
      "name_cn": "智利",
      "name_en": "Chile"
    },
    {
      "area_code": "0086",
      "id": 37,
      "forbid": true,
      "name_cn": "中国大陆",
      "name_en": "China"
    },
    {
      "area_code": "0057",
      "id": 38,
      "forbid": false,
      "name_cn": "哥伦比亚",
      "name_en": "Colombia"
    },
    {
      "area_code": "00269",
      "id": 199,
      "forbid": false,
      "name_cn": "科摩罗群岛",
      "name_en": "Comoros Islands"
    },
    {
      "area_code": "00243",
      "id": 39,
      "forbid": true,
      "name_cn": "刚果",
      "name_en": "Congo"
    },
    {
      "area_code": "00682",
      "id": 40,
      "forbid": false,
      "name_cn": "库克群岛",
      "name_en": "Cook Islands."
    },
    {
      "area_code": "00506",
      "id": 41,
      "forbid": false,
      "name_cn": "哥斯达黎加",
      "name_en": "Costa Rica"
    },
    {
      "area_code": "00385",
      "id": 200,
      "forbid": false,
      "name_cn": "克罗地亚",
      "name_en": "Croatia"
    },
    {
      "area_code": "0053",
      "id": 42,
      "forbid": true,
      "name_cn": "古巴",
      "name_en": "Cuba"
    },
    {
      "area_code": "00357",
      "id": 43,
      "forbid": false,
      "name_cn": "塞浦路斯",
      "name_en": "Cyprus"
    },
    {
      "area_code": "00420",
      "id": 44,
      "forbid": false,
      "name_cn": "捷克",
      "name_en": "Czech Republic"
    },
    {
      "area_code": "0045",
      "id": 45,
      "forbid": false,
      "name_cn": "丹麦",
      "name_en": "Denmark"
    },
    {
      "area_code": "00246",
      "id": 201,
      "forbid": false,
      "name_cn": "迭戈加西亚群岛",
      "name_en": "Diego Garcia"
    },
    {
      "area_code": "00253",
      "id": 46,
      "forbid": false,
      "name_cn": "吉布提",
      "name_en": "Djibouti"
    },
    {
      "area_code": "001767",
      "id": 232,
      "forbid": false,
      "name_cn": "多米尼克国",
      "name_en": "Dominica"
    },
    {
      "area_code": "001809",
      "id": 47,
      "forbid": false,
      "name_cn": "多米尼加共和国",
      "name_en": "Dominican Republic"
    },
    {
      "area_code": "00670",
      "id": 202,
      "forbid": false,
      "name_cn": "东帝汶",
      "name_en": "East Timor"
    },
    {
      "area_code": "00593",
      "id": 48,
      "forbid": false,
      "name_cn": "厄瓜多尔",
      "name_en": "Ecuador"
    },
    {
      "area_code": "0020",
      "id": 49,
      "forbid": false,
      "name_cn": "埃及",
      "name_en": "Egypt"
    },
    {
      "area_code": "00503",
      "id": 50,
      "forbid": false,
      "name_cn": "萨尔瓦多",
      "name_en": "El Salvador"
    },
    {
      "area_code": "009714",
      "id": 230,
      "forbid": false,
      "name_cn": "迪拜酋长国",
      "name_en": "Emirate of Dubai"
    },
    {
      "area_code": "00240",
      "id": 203,
      "forbid": false,
      "name_cn": "赤道几内亚",
      "name_en": "Equatorial Guinea"
    },
    {
      "area_code": "00291",
      "id": 204,
      "forbid": false,
      "name_cn": "厄立特里亚",
      "name_en": "Eritrea"
    },
    {
      "area_code": "00372",
      "id": 51,
      "forbid": false,
      "name_cn": "爱沙尼亚",
      "name_en": "Estonia"
    },
    {
      "area_code": "00251",
      "id": 52,
      "forbid": false,
      "name_cn": "埃塞俄比亚",
      "name_en": "Ethiopia"
    },
    {
      "area_code": "00500",
      "id": 205,
      "forbid": false,
      "name_cn": "福克兰群岛",
      "name_en": "Falkland Islands"
    },
    {
      "area_code": "00298",
      "id": 206,
      "forbid": false,
      "name_cn": "法罗群岛",
      "name_en": "Faroe Islands"
    },
    {
      "area_code": "00679",
      "id": 53,
      "forbid": false,
      "name_cn": "斐济",
      "name_en": "Fiji"
    },
    {
      "area_code": "00358",
      "id": 54,
      "forbid": false,
      "name_cn": "芬兰",
      "name_en": "Finland"
    },
    {
      "area_code": "0033",
      "id": 55,
      "forbid": false,
      "name_cn": "法国",
      "name_en": "France"
    },
    {
      "area_code": "00594",
      "id": 56,
      "forbid": false,
      "name_cn": "法属圭亚那",
      "name_en": "French Guiana"
    },
    {
      "area_code": "00689",
      "id": 136,
      "forbid": false,
      "name_cn": "法属玻利尼西亚",
      "name_en": "French Polynesia"
    },
    {
      "area_code": "00241",
      "id": 57,
      "forbid": false,
      "name_cn": "加蓬",
      "name_en": "Gabon"
    },
    {
      "area_code": "00220",
      "id": 58,
      "forbid": false,
      "name_cn": "冈比亚",
      "name_en": "Gambia"
    },
    {
      "area_code": "00995",
      "id": 59,
      "forbid": false,
      "name_cn": "格鲁吉亚",
      "name_en": "Georgia"
    },
    {
      "area_code": "0049",
      "id": 60,
      "forbid": false,
      "name_cn": "德国",
      "name_en": "Germany"
    },
    {
      "area_code": "00233",
      "id": 61,
      "forbid": false,
      "name_cn": "加纳",
      "name_en": "Ghana"
    },
    {
      "area_code": "00350",
      "id": 62,
      "forbid": false,
      "name_cn": "直布罗陀",
      "name_en": "Gibraltar"
    },
    {
      "area_code": "0030",
      "id": 63,
      "forbid": false,
      "name_cn": "希腊",
      "name_en": "Greece"
    },
    {
      "area_code": "00299",
      "id": 207,
      "forbid": false,
      "name_cn": "格陵兰岛",
      "name_en": "Greenland"
    },
    {
      "area_code": "001473",
      "id": 64,
      "forbid": false,
      "name_cn": "格林纳达",
      "name_en": "Grenada"
    },
    {
      "area_code": "00590",
      "id": 208,
      "forbid": false,
      "name_cn": "瓜德罗普",
      "name_en": "Guadeloupe"
    },
    {
      "area_code": "001671",
      "id": 65,
      "forbid": false,
      "name_cn": "关岛",
      "name_en": "Guam"
    },
    {
      "area_code": "00502",
      "id": 66,
      "forbid": false,
      "name_cn": "危地马拉",
      "name_en": "Guatemala"
    },
    {
      "area_code": "00224",
      "id": 67,
      "forbid": true,
      "name_cn": "几内亚",
      "name_en": "Guinea"
    },
    {
      "area_code": "00245",
      "id": 209,
      "forbid": false,
      "name_cn": "几内亚比绍",
      "name_en": "Guinea-Bissau"
    },
    {
      "area_code": "00592",
      "id": 68,
      "forbid": false,
      "name_cn": "圭亚那",
      "name_en": "Guyana"
    },
    {
      "area_code": "00509",
      "id": 69,
      "forbid": false,
      "name_cn": "海地",
      "name_en": "Haiti"
    },
    {
      "area_code": "00504",
      "id": 70,
      "forbid": false,
      "name_cn": "洪都拉斯",
      "name_en": "Honduras"
    },
    {
      "area_code": "00852",
      "id": 71,
      "forbid": false,
      "name_cn": "中国香港",
      "name_en": "Hong Kong (China)"
    },
    {
      "area_code": "0036",
      "id": 72,
      "forbid": false,
      "name_cn": "匈牙利",
      "name_en": "Hungary"
    },
    {
      "area_code": "00354",
      "id": 73,
      "forbid": false,
      "name_cn": "冰岛",
      "name_en": "Iceland"
    },
    {
      "area_code": "0091",
      "id": 74,
      "forbid": false,
      "name_cn": "印度",
      "name_en": "India"
    },
    {
      "area_code": "0062",
      "id": 75,
      "forbid": false,
      "name_cn": "印度尼西亚",
      "name_en": "Indonesia"
    },
    {
      "area_code": "0098",
      "id": 76,
      "forbid": true,
      "name_cn": "伊朗",
      "name_en": "Iran"
    },
    {
      "area_code": "00964",
      "id": 77,
      "forbid": true,
      "name_cn": "伊拉克",
      "name_en": "Iraq"
    },
    {
      "area_code": "00353",
      "id": 78,
      "forbid": false,
      "name_cn": "爱尔兰",
      "name_en": "Ireland"
    },
    {
      "area_code": "00441624",
      "id": 235,
      "forbid": false,
      "name_cn": "马恩岛",
      "name_en": "Isle of Man"
    },
    {
      "area_code": "00972",
      "id": 79,
      "forbid": false,
      "name_cn": "以色列",
      "name_en": "Israel"
    },
    {
      "area_code": "0039",
      "id": 80,
      "forbid": false,
      "name_cn": "意大利",
      "name_en": "Italy"
    },
    {
      "area_code": "00225",
      "id": 81,
      "forbid": true,
      "name_cn": "科特迪瓦",
      "name_en": "Ivory Coast"
    },
    {
      "area_code": "001876",
      "id": 82,
      "forbid": false,
      "name_cn": "牙买加",
      "name_en": "Jamaica"
    },
    {
      "area_code": "0081",
      "id": 83,
      "forbid": true,
      "name_cn": "日本",
      "name_en": "Japan"
    },
    {
      "area_code": "0044",
      "id": 231,
      "forbid": false,
      "name_cn": "泽西",
      "name_en": "Jersey"
    },
    {
      "area_code": "00962",
      "id": 84,
      "forbid": false,
      "name_cn": "约旦",
      "name_en": "Jordan"
    },
    {
      "area_code": "007",
      "id": 86,
      "forbid": false,
      "name_cn": "哈萨克斯坦",
      "name_en": "Kazakhstan"
    },
    {
      "area_code": "00254",
      "id": 87,
      "forbid": false,
      "name_cn": "肯尼亚",
      "name_en": "Kenya"
    },
    {
      "area_code": "00686",
      "id": 210,
      "forbid": false,
      "name_cn": "基里巴斯",
      "name_en": "Kiribati"
    },
    {
      "area_code": "0082",
      "id": 88,
      "forbid": false,
      "name_cn": "韩国",
      "name_en": "Korea"
    },
    {
      "area_code": "00383",
      "id": 234,
      "forbid": false,
      "name_cn": "科索沃",
      "name_en": "Kosovo"
    },
    {
      "area_code": "00965",
      "id": 89,
      "forbid": false,
      "name_cn": "科威特",
      "name_en": "Kuwait"
    },
    {
      "area_code": "00996",
      "id": 90,
      "forbid": false,
      "name_cn": "吉尔吉斯坦",
      "name_en": "Kyrgyzstan"
    },
    {
      "area_code": "00856",
      "id": 91,
      "forbid": false,
      "name_cn": "老挝",
      "name_en": "Laos"
    },
    {
      "area_code": "00371",
      "id": 92,
      "forbid": false,
      "name_cn": "拉脱维亚",
      "name_en": "Latvia"
    },
    {
      "area_code": "00961",
      "id": 93,
      "forbid": true,
      "name_cn": "黎巴嫩",
      "name_en": "Lebanon"
    },
    {
      "area_code": "00266",
      "id": 94,
      "forbid": false,
      "name_cn": "莱索托",
      "name_en": "Lesotho"
    },
    {
      "area_code": "00231",
      "id": 95,
      "forbid": true,
      "name_cn": "利比里亚",
      "name_en": "Liberia"
    },
    {
      "area_code": "00218",
      "id": 96,
      "forbid": true,
      "name_cn": "利比亚",
      "name_en": "Libya"
    },
    {
      "area_code": "00423",
      "id": 97,
      "forbid": false,
      "name_cn": "列支敦士登",
      "name_en": "Liechtenstein"
    },
    {
      "area_code": "00370",
      "id": 98,
      "forbid": false,
      "name_cn": "立陶宛",
      "name_en": "Lithuania"
    },
    {
      "area_code": "00352",
      "id": 99,
      "forbid": false,
      "name_cn": "卢森堡",
      "name_en": "Luxembourg"
    },
    {
      "area_code": "00389",
      "id": 211,
      "forbid": false,
      "name_cn": "马其顿",
      "name_en": "Macedonia"
    },
    {
      "area_code": "00261",
      "id": 101,
      "forbid": false,
      "name_cn": "马达加斯加",
      "name_en": "Madagascar"
    },
    {
      "area_code": "00265",
      "id": 102,
      "forbid": false,
      "name_cn": "马拉维",
      "name_en": "Malawi"
    },
    {
      "area_code": "0060",
      "id": 103,
      "forbid": false,
      "name_cn": "马来西亚",
      "name_en": "Malaysia"
    },
    {
      "area_code": "00960",
      "id": 104,
      "forbid": false,
      "name_cn": "马尔代夫",
      "name_en": "Maldives"
    },
    {
      "area_code": "00223",
      "id": 105,
      "forbid": false,
      "name_cn": "马里",
      "name_en": "Mali"
    },
    {
      "area_code": "00356",
      "id": 106,
      "forbid": false,
      "name_cn": "马耳他",
      "name_en": "Malta"
    },
    {
      "area_code": "00223",
      "id": 107,
      "forbid": false,
      "name_cn": "马里亚那群岛",
      "name_en": "Mariana Islands"
    },
    {
      "area_code": "00692",
      "id": 212,
      "forbid": false,
      "name_cn": "马绍尔群岛",
      "name_en": "Marshall Islands"
    },
    {
      "area_code": "00596",
      "id": 108,
      "forbid": false,
      "name_cn": "马提尼克",
      "name_en": "Martinique"
    },
    {
      "area_code": "00222",
      "id": 213,
      "forbid": false,
      "name_cn": "毛里塔尼亚",
      "name_en": "Mauritania"
    },
    {
      "area_code": "00230",
      "id": 109,
      "forbid": false,
      "name_cn": "毛里求斯",
      "name_en": "Mauritius"
    },
    {
      "area_code": "0052",
      "id": 110,
      "forbid": false,
      "name_cn": "墨西哥",
      "name_en": "Mexico"
    },
    {
      "area_code": "00691",
      "id": 214,
      "forbid": false,
      "name_cn": "密克罗尼西亚",
      "name_en": "Micronesia"
    },
    {
      "area_code": "00373",
      "id": 111,
      "forbid": false,
      "name_cn": "摩尔多瓦",
      "name_en": "Moldova"
    },
    {
      "area_code": "00377",
      "id": 112,
      "forbid": false,
      "name_cn": "摩纳哥",
      "name_en": "Monaco"
    },
    {
      "area_code": "00976",
      "id": 113,
      "forbid": false,
      "name_cn": "蒙古",
      "name_en": "Mongolia"
    },
    {
      "area_code": "00382",
      "id": 215,
      "forbid": false,
      "name_cn": "黑山",
      "name_en": "Montenegro"
    },
    {
      "area_code": "001664",
      "id": 114,
      "forbid": false,
      "name_cn": "蒙特塞拉特岛",
      "name_en": "Montserrat"
    },
    {
      "area_code": "00212",
      "id": 115,
      "forbid": false,
      "name_cn": "摩洛哥",
      "name_en": "Morocco"
    },
    {
      "area_code": "00258",
      "id": 116,
      "forbid": false,
      "name_cn": "莫桑比克",
      "name_en": "Mozambique"
    },
    {
      "area_code": "0095",
      "id": 29,
      "forbid": true,
      "name_cn": "缅甸",
      "name_en": "Myanmar"
    },
    {
      "area_code": "00264",
      "id": 117,
      "forbid": false,
      "name_cn": "纳米比亚",
      "name_en": "Namibia"
    },
    {
      "area_code": "00674",
      "id": 118,
      "forbid": false,
      "name_cn": "瑙鲁",
      "name_en": "Nauru"
    },
    {
      "area_code": "00977",
      "id": 119,
      "forbid": false,
      "name_cn": "尼泊尔",
      "name_en": "Nepal"
    },
    {
      "area_code": "00599",
      "id": 120,
      "forbid": false,
      "name_cn": "荷属安的列斯",
      "name_en": "Netheriands Antilles"
    },
    {
      "area_code": "0031",
      "id": 121,
      "forbid": false,
      "name_cn": "荷兰",
      "name_en": "Netherlands"
    },
    {
      "area_code": "00687",
      "id": 216,
      "forbid": false,
      "name_cn": "新喀里多尼亚",
      "name_en": "New Caledonia"
    },
    {
      "area_code": "0064",
      "id": 122,
      "forbid": false,
      "name_cn": "新西兰",
      "name_en": "New Zealand"
    },
    {
      "area_code": "00505",
      "id": 123,
      "forbid": false,
      "name_cn": "尼加拉瓜",
      "name_en": "Nicaragua"
    },
    {
      "area_code": "00227",
      "id": 124,
      "forbid": false,
      "name_cn": "尼日尔",
      "name_en": "Niger"
    },
    {
      "area_code": "00234",
      "id": 125,
      "forbid": false,
      "name_cn": "尼日利亚",
      "name_en": "Nigeria"
    },
    {
      "area_code": "00683",
      "id": 217,
      "forbid": false,
      "name_cn": "纽埃岛",
      "name_en": "Niue"
    },
    {
      "area_code": "00850",
      "id": 126,
      "forbid": true,
      "name_cn": "朝鲜",
      "name_en": "North Korea"
    },
    {
      "area_code": "0047",
      "id": 127,
      "forbid": false,
      "name_cn": "挪威",
      "name_en": "Norway"
    },
    {
      "area_code": "00968",
      "id": 128,
      "forbid": false,
      "name_cn": "阿曼",
      "name_en": "Oman"
    },
    {
      "area_code": "0092",
      "id": 129,
      "forbid": false,
      "name_cn": "巴基斯坦",
      "name_en": "Pakistan"
    },
    {
      "area_code": "00680",
      "id": 218,
      "forbid": false,
      "name_cn": "帕劳",
      "name_en": "Palau"
    },
    {
      "area_code": "00970",
      "id": 219,
      "forbid": false,
      "name_cn": "巴勒斯坦",
      "name_en": "Palestine"
    },
    {
      "area_code": "00507",
      "id": 130,
      "forbid": false,
      "name_cn": "巴拿马",
      "name_en": "Panama"
    },
    {
      "area_code": "00675",
      "id": 131,
      "forbid": false,
      "name_cn": "巴布亚新几内亚",
      "name_en": "Papua New Guinea"
    },
    {
      "area_code": "00595",
      "id": 132,
      "forbid": false,
      "name_cn": "巴拉圭",
      "name_en": "Paraguay"
    },
    {
      "area_code": "0051",
      "id": 133,
      "forbid": false,
      "name_cn": "秘鲁",
      "name_en": "Peru"
    },
    {
      "area_code": "0063",
      "id": 134,
      "forbid": false,
      "name_cn": "菲律宾",
      "name_en": "Philippines"
    },
    {
      "area_code": "0048",
      "id": 135,
      "forbid": false,
      "name_cn": "波兰",
      "name_en": "Poland"
    },
    {
      "area_code": "00351",
      "id": 137,
      "forbid": false,
      "name_cn": "葡萄牙",
      "name_en": "Portugal"
    },
    {
      "area_code": "001",
      "id": 138,
      "forbid": false,
      "name_cn": "波多黎各",
      "name_en": "Puerto Rico"
    },
    {
      "area_code": "00974",
      "id": 139,
      "forbid": false,
      "name_cn": "卡塔尔",
      "name_en": "Qatar"
    },
    {
      "area_code": "00262",
      "id": 140,
      "forbid": false,
      "name_cn": "留尼旺",
      "name_en": "Reunion"
    },
    {
      "area_code": "0040",
      "id": 141,
      "forbid": false,
      "name_cn": "罗马尼亚",
      "name_en": "Romania"
    },
    {
      "area_code": "007",
      "id": 142,
      "forbid": false,
      "name_cn": "俄罗斯",
      "name_en": "Russia"
    },
    {
      "area_code": "00250",
      "id": 220,
      "forbid": false,
      "name_cn": "卢旺达",
      "name_en": "Rwanda"
    },
    {
      "area_code": "001869",
      "id": 233,
      "forbid": false,
      "name_cn": "圣基茨和尼维斯",
      "name_en": "Saint Kitts and Nevis"
    },
    {
      "area_code": "00508",
      "id": 222,
      "forbid": false,
      "name_cn": "圣皮埃尔和密克隆群岛",
      "name_en": "Saint Pierre and Miquelon"
    },
    {
      "area_code": "001784",
      "id": 144,
      "forbid": false,
      "name_cn": "圣文森特岛",
      "name_en": "Saint Vincent"
    },
    {
      "area_code": "00684",
      "id": 145,
      "forbid": false,
      "name_cn": "东萨摩亚(美)",
      "name_en": "Samoa Eastern"
    },
    {
      "area_code": "00685",
      "id": 146,
      "forbid": false,
      "name_cn": "西萨摩亚",
      "name_en": "Samoa Western"
    },
    {
      "area_code": "00378",
      "id": 147,
      "forbid": false,
      "name_cn": "圣马力诺",
      "name_en": "San Marino"
    },
    {
      "area_code": "00239",
      "id": 148,
      "forbid": false,
      "name_cn": "圣多美和普林西比",
      "name_en": "Sao Tome and Principe"
    },
    {
      "area_code": "00966",
      "id": 149,
      "forbid": false,
      "name_cn": "沙特阿拉伯",
      "name_en": "Saudi Arabia"
    },
    {
      "area_code": "00221",
      "id": 150,
      "forbid": false,
      "name_cn": "塞内加尔",
      "name_en": "Senegal"
    },
    {
      "area_code": "00381",
      "id": 223,
      "forbid": false,
      "name_cn": "塞尔维亚",
      "name_en": "Serbia"
    },
    {
      "area_code": "00248",
      "id": 151,
      "forbid": false,
      "name_cn": "塞舌尔",
      "name_en": "Seychelles"
    },
    {
      "area_code": "00232",
      "id": 152,
      "forbid": false,
      "name_cn": "塞拉利昂",
      "name_en": "Sierra Leone"
    },
    {
      "area_code": "0065",
      "id": 153,
      "forbid": true,
      "name_cn": "新加坡",
      "name_en": "Singapore"
    },
    {
      "area_code": "00421",
      "id": 154,
      "forbid": false,
      "name_cn": "斯洛伐克",
      "name_en": "Slovakia"
    },
    {
      "area_code": "00386",
      "id": 155,
      "forbid": false,
      "name_cn": "斯洛文尼亚",
      "name_en": "Slovenia"
    },
    {
      "area_code": "00677",
      "id": 156,
      "forbid": false,
      "name_cn": "所罗门群岛",
      "name_en": "Solomon Islands"
    },
    {
      "area_code": "00252",
      "id": 157,
      "forbid": true,
      "name_cn": "索马里",
      "name_en": "Somalia"
    },
    {
      "area_code": "0027",
      "id": 158,
      "forbid": false,
      "name_cn": "南非",
      "name_en": "South Africa"
    },
    {
      "area_code": "0034",
      "id": 159,
      "forbid": false,
      "name_cn": "西班牙",
      "name_en": "Spain"
    },
    {
      "area_code": "0094",
      "id": 160,
      "forbid": false,
      "name_cn": "斯里兰卡",
      "name_en": "Sri Lanka"
    },
    {
      "area_code": "00290",
      "id": 221,
      "forbid": false,
      "name_cn": "圣赫勒拿岛",
      "name_en": "St.Helena"
    },
    {
      "area_code": "001758",
      "id": 161,
      "forbid": false,
      "name_cn": "圣卢西亚",
      "name_en": "St.Lucia"
    },
    {
      "area_code": "001784",
      "id": 162,
      "forbid": false,
      "name_cn": "圣文森特",
      "name_en": "St.Vincent"
    },
    {
      "area_code": "00249",
      "id": 163,
      "forbid": true,
      "name_cn": "苏丹",
      "name_en": "Sudan"
    },
    {
      "area_code": "00597",
      "id": 164,
      "forbid": false,
      "name_cn": "苏里南",
      "name_en": "Suriname"
    },
    {
      "area_code": "00268",
      "id": 165,
      "forbid": false,
      "name_cn": "斯威士兰",
      "name_en": "Swaziland"
    },
    {
      "area_code": "0046",
      "id": 166,
      "forbid": false,
      "name_cn": "瑞典",
      "name_en": "Sweden"
    },
    {
      "area_code": "0041",
      "id": 167,
      "forbid": false,
      "name_cn": "瑞士",
      "name_en": "Switzerland"
    },
    {
      "area_code": "00963",
      "id": 168,
      "forbid": true,
      "name_cn": "叙利亚",
      "name_en": "Syria"
    },
    {
      "area_code": "00886",
      "id": 169,
      "forbid": false,
      "name_cn": "中国台湾",
      "name_en": "Taiwan (China)"
    },
    {
      "area_code": "00992",
      "id": 170,
      "forbid": false,
      "name_cn": "塔吉克斯坦",
      "name_en": "Tajikistan"
    },
    {
      "area_code": "00255",
      "id": 171,
      "forbid": false,
      "name_cn": "坦桑尼亚",
      "name_en": "Tanzania"
    },
    {
      "area_code": "0066",
      "id": 172,
      "forbid": false,
      "name_cn": "泰国",
      "name_en": "Thailand"
    },
    {
      "area_code": "00228",
      "id": 173,
      "forbid": false,
      "name_cn": "多哥",
      "name_en": "Togo"
    },
    {
      "area_code": "00690",
      "id": 224,
      "forbid": false,
      "name_cn": "托克劳群岛",
      "name_en": "Tokelau"
    },
    {
      "area_code": "00676",
      "id": 174,
      "forbid": false,
      "name_cn": "汤加",
      "name_en": "Tonga"
    },
    {
      "area_code": "001868",
      "id": 175,
      "forbid": false,
      "name_cn": "特立尼达和多巴哥",
      "name_en": "Trinidad and Tobago"
    },
    {
      "area_code": "00216",
      "id": 176,
      "forbid": false,
      "name_cn": "突尼斯",
      "name_en": "Tunisia"
    },
    {
      "area_code": "0090",
      "id": 177,
      "forbid": false,
      "name_cn": "土耳其",
      "name_en": "Turkey"
    },
    {
      "area_code": "00993",
      "id": 178,
      "forbid": false,
      "name_cn": "土库曼斯坦",
      "name_en": "Turkmenistan"
    },
    {
      "area_code": "00688",
      "id": 225,
      "forbid": false,
      "name_cn": "图瓦卢",
      "name_en": "Tuvalu"
    },
    {
      "area_code": "00256",
      "id": 179,
      "forbid": false,
      "name_cn": "乌干达",
      "name_en": "Uganda"
    },
    {
      "area_code": "00380",
      "id": 180,
      "forbid": false,
      "name_cn": "乌克兰",
      "name_en": "Ukraine"
    },
    {
      "area_code": "00971",
      "id": 181,
      "forbid": false,
      "name_cn": "阿拉伯联合酋长国",
      "name_en": "United Arab Emirates"
    },
    {
      "area_code": "0044",
      "id": 182,
      "forbid": false,
      "name_cn": "英国",
      "name_en": "United Kingdom"
    },
    {
      "area_code": "001",
      "id": 183,
      "forbid": true,
      "name_cn": "美国",
      "name_en": "United States of America"
    },
    {
      "area_code": "00598",
      "id": 184,
      "forbid": false,
      "name_cn": "乌拉圭",
      "name_en": "Uruguay"
    },
    {
      "area_code": "00998",
      "id": 185,
      "forbid": false,
      "name_cn": "乌兹别克斯坦",
      "name_en": "Uzbekistan"
    },
    {
      "area_code": "00678",
      "id": 226,
      "forbid": false,
      "name_cn": "瓦努阿图",
      "name_en": "Vanuatu"
    },
    {
      "area_code": "00379",
      "id": 227,
      "forbid": false,
      "name_cn": "梵蒂冈城",
      "name_en": "Vatican City"
    },
    {
      "area_code": "0058",
      "id": 186,
      "forbid": true,
      "name_cn": "委内瑞拉",
      "name_en": "Venezuela"
    },
    {
      "area_code": "0084",
      "id": 187,
      "forbid": false,
      "name_cn": "越南",
      "name_en": "Vietnam"
    },
    {
      "area_code": "00681",
      "id": 228,
      "forbid": false,
      "name_cn": "瓦利斯和富图纳",
      "name_en": "Wallis and Futuna"
    },
    {
      "area_code": "00967",
      "id": 188,
      "forbid": true,
      "name_cn": "也门",
      "name_en": "Yemen"
    },
    {
      "area_code": "00338",
      "id": 189,
      "forbid": false,
      "name_cn": "南斯拉夫",
      "name_en": "Yugoslavia"
    },
    {
      "area_code": "00243",
      "id": 192,
      "forbid": false,
      "name_cn": "扎伊尔",
      "name_en": "Zaire"
    },
    {
      "area_code": "00260",
      "id": 193,
      "forbid": false,
      "name_cn": "赞比亚",
      "name_en": "Zambia"
    },
    {
      "area_code": "00263",
      "id": 191,
      "forbid": true,
      "name_cn": "津巴布韦",
      "name_en": "Zimbabwe"
    }
  ]

export default countries;